<template>
    <v-container fill-height fluid class="main-container pa-0">
        <v-row align="center" justify="center" fill-height>
            <v-card class="card-container" max-width="70%">
                <v-textarea type="text" filled :value="this.$route.params.hero.name" v-on:input="UpdateInputName($event)"></v-textarea>
                <v-img class="image" :src=this.$route.params.hero.path></v-img>
                <v-textarea type="text" filled :value="this.$route.params.hero.description" v-on:input="UpdateInputDescription($event)"></v-textarea>
                <div>
                    <v-btn v-on:click="SaveDescription()">Save</v-btn>
                </div>
            </v-card>
        </v-row>
    </v-container>
</template>

<script>
    export default {
        name: "EditHero",

        props: ['editText', 'hero'],

        created() {
            this.editDescription = this.$route.params.hero.description
            this.editName = this.$route.params.hero.name
        },

        methods:{
            UpdateInputDescription(data){
                this.editDescription = data
            }
            ,UpdateInputName(data){
                this.editName = data
            },
            SaveDescription: function(){
                this.$emit('close-event')
                console.log("save")
                console.log("ooook" + this.editDescription )
                this.$store.dispatch('UpdateInfo', {id:this.hero.id, description:this.editDescription, name: this.editName})
                this.$router.push("/")

            }
        },

        data: function () {
            return{
                editDescription: null,
                editName: null
            }
        }
    }
</script>

<style scoped>
    .image{
        height: 40%;
        width: auto;
    }
    .card-container{
        height: 70%;
    }
    .main-container{
        background-color: #2c3e50;
    }
</style>